# FoundationClasses
TKernel
Storage

# Storage_PType Class Reference

`#include <Storage_PType.hxx>`

Inheritance diagram for Storage_PType:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Storage_PType (const Standard_Integer NbBuckets=1)
Standard_EXPORT Storage_PType & | Assign (const Storage_PType &Other)
Storage_PType & | operator= (const Storage_PType &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~Storage_PType ()
Standard_EXPORT Standard_Integer | Add (const TCollection_AsciiString &K, const Standard_Integer &I)
Standard_EXPORT void | Substitute (const Standard_Integer I, const TCollection_AsciiString &K, const Standard_Integer &T)
Standard_EXPORT void | RemoveLast ()
Standard_EXPORT Standard_Boolean | Contains (const TCollection_AsciiString &K) const
Standard_EXPORT const TCollection_AsciiString & | FindKey (const Standard_Integer I) const
Standard_EXPORT const Standard_Integer & | FindFromIndex (const Standard_Integer I) const
const Standard_Integer & | operator() (const Standard_Integer I) const
Standard_EXPORT Standard_Integer & | ChangeFromIndex (const Standard_Integer I)
Standard_Integer & | operator() (const Standard_Integer I)
Standard_EXPORT Standard_Integer | FindIndex (const TCollection_AsciiString &K) const
Standard_EXPORT const Standard_Integer & | FindFromKey (const TCollection_AsciiString &K) const
Standard_EXPORT Standard_Integer & | ChangeFromKey (const TCollection_AsciiString &K)

## Private Member Functions

Standard_EXPORT | Storage_PType (const Storage_PType &Other)

## Constructor & Destructor Documentation

Standard_EXPORT Storage_PType::Storage_PType | ( | const Standard_Integer | NbBuckets = `1` | ) |

Storage_PType::~Storage_PType | ( |  | ) | `[inline]`

Standard_EXPORT Storage_PType::Storage_PType | ( | const Storage_PType & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT Standard_Integer Storage_PType::Add | ( | const TCollection_AsciiString & | K,
|  | const Standard_Integer & | I
| ) |

Standard_EXPORT Storage_PType& Storage_PType::Assign | ( | const Storage_PType & | Other | ) |

Standard_EXPORT Standard_Integer& Storage_PType::ChangeFromIndex | ( | const Standard_Integer | I | ) |

Standard_EXPORT Standard_Integer& Storage_PType::ChangeFromKey | ( | const TCollection_AsciiString & | K | ) |

Standard_EXPORT void Storage_PType::Clear | ( |  | ) |

Standard_EXPORT Standard_Boolean Storage_PType::Contains | ( | const TCollection_AsciiString & | K | ) | const

Standard_EXPORT const Standard_Integer& Storage_PType::FindFromIndex | ( | const Standard_Integer | I | ) | const

Standard_EXPORT const Standard_Integer& Storage_PType::FindFromKey | ( | const TCollection_AsciiString & | K | ) | const

Standard_EXPORT Standard_Integer Storage_PType::FindIndex | ( | const TCollection_AsciiString & | K | ) | const

Standard_EXPORT const TCollection_AsciiString& Storage_PType::FindKey | ( | const Standard_Integer | I | ) | const

void Storage_PType::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* Storage_PType::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

void* Storage_PType::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from TCollection_BasicMap.

Standard_Integer& Storage_PType::operator() | ( | const Standard_Integer | I | ) | `[inline]`

const Standard_Integer& Storage_PType::operator() | ( | const Standard_Integer | I | ) | const`[inline]`

Storage_PType& Storage_PType::operator= | ( | const Storage_PType & | Other | ) | `[inline]`

Standard_EXPORT void Storage_PType::RemoveLast | ( |  | ) |

Standard_EXPORT void Storage_PType::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT void Storage_PType::Substitute | ( | const Standard_Integer | I,
|  | const TCollection_AsciiString & | K,
|  | const Standard_Integer & | T
| ) |

The documentation for this class was generated from the following file:

- Storage_PType.hxx